{% extends "credit_requests/base.html" %}
{% block head %}
{% load static %}
<script type="text/javascript" src="{% static 'credit_requests/js/credit_request_form.js' %}"></script>
{% endblock head %}
{% block title %}Solicitud de Prestamos{% endblock title %}
{% block nav_title %}Solicitud de Prestamos{% endblock nav_title %}
{% block content %}

  <div class="row">
    <form class="col s4 offset-s4" method="post">
      {% csrf_token %}
      <div class="row">
        <div class="input-field col s12">
          {{form.document_number}}
          <label for="password">{{form.document_number.label}}</label>
          <div class='validation_errors' id='document_number_error'></div>
        </div>
      </div>	
      <div class="row">
        <div class="input-field col s6">
          {{form.name}}
          <label for="name">{{form.name.label}}</label>
          <div class='validation_errors' id='name_error'></div>
        </div>
        <div class="input-field col s6">
          {{form.surname}}
          <label for="surname">{{form.surname.label}}</label>
          <div class='validation_errors' id='surname_error'></div>
        </div>
      </div>
      <div class="row">
        <div class="input-field col s12">
          {{form.email}}
          <label for="email">{{form.email.label}}</label>
          <div class='validation_errors' id='email_error'></div>
        </div>
      </div>
      <div class="row">
        <div class="input-field col s12">
          {{form.gender}}
          <label for="gender">{{form.gender.label}}</label>
          <div class='validation_errors' id='gender_error'></div>
        </div>
      </div>
      <div class="row">
        <div class="input-field col s12">
          {{form.ammount}}
          <label for="ammount">{{form.ammount.label}}</label>
          <div class='validation_errors' id='ammount_error'></div>
        </div>
      </div>
      <div class="row">
        <div class="col s12">
          <button class="btn waves-effect waves-light" id='action_submit' style="width: 100%;" type="submit" name="action" target_url="{% url 'credit_request_create_api_view' %}">Enviar<i class="material-icons right">send</i></button>
        </div>
      </div>
    </form>
  </div>


<!-- Modal result -->
<div id="modal_result" class="modal">
  <div class="modal-content">
    <h4>Resultado</h4>
    <p id='modal_result_text'></p>
  </div>
  <div class="modal-footer">
    <a href="#!" class="modal-action modal-close waves-effect waves-green btn-flat">Aceptar</a>
  </div>
</div>

<!-- Modal loader -->
<div id="modal_loader" class="modal">
  <div class="modal-content">
    <h4>Procesando Solicitud</h4>
    <div class="progress">
        <div class="indeterminate"></div>
    </div>
  </div>
</div>

{% endblock content %}

